All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::PoseRenderer Class Referenceabstract

`#include <poseRenderer.hpp>`

Inherited by op::PoseCpuRenderer, and op::PoseGpuRenderer.

## Public Member Functions

| PoseRenderer (const PoseModel poseModel)
virtual | ~PoseRenderer ()
virtual void | initializationOnThread ()
virtual std::pair< int, std::string > | renderPose (Array< float > &outputData, const Array< float > &poseKeypoints, const float scaleInputToOutput, const float scaleNetToOutput=-1.f)=0

## Protected Attributes

const PoseModel | mPoseModel
const std::map< unsigned int, std::string > | mPartIndexToName

## Constructor & Destructor Documentation

op::PoseRenderer::PoseRenderer | ( | const PoseModel | poseModel | ) |

virtual op::PoseRenderer::~PoseRenderer | ( |  | ) |

virtual

## Member Function Documentation

virtual void op::PoseRenderer::initializationOnThread | ( |  | ) |

inlinevirtual

Reimplemented in op::PoseGpuRenderer.

virtual std::pair<int, std::string> op::PoseRenderer::renderPose | ( | Array< float > & | outputData,
|  | const Array< float > & | poseKeypoints,
|  | const float | scaleInputToOutput,
|  | const float | scaleNetToOutput = `-1.f`
| ) |  |

pure virtual

Implemented in op::PoseGpuRenderer, and op::PoseCpuRenderer.

## Member Data Documentation

const std::map<unsigned int, std::string> op::PoseRenderer::mPartIndexToName

protected

const PoseModel op::PoseRenderer::mPoseModel

protected

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/pose/poseRenderer.hpp